#pragma once
#include <d3dx9math.h>

class CCamera
{
public:
	CCamera(void);
	~CCamera(void);

private:
	D3DXVECTOR3 pos;
	D3DXVECTOR3 right;
	D3DXVECTOR3 up;
	D3DXVECTOR3 look;
public:
	void SetPosition(D3DXVECTOR3 pos);
	D3DXVECTOR3 GetPosition(void);
	D3DXVECTOR3 GetRight(void);
	D3DXVECTOR3 GetUp(void);
	D3DXVECTOR3 GetLook(void);
	void strafe(float units);
	void fly(float units);
	void walk(float units);
	void pitch(float angle);
	void yaw(float angle);
	void roll(float angle);
	D3DXMATRIXA16 GetViewMatrix(void);
	void SetUp(D3DXVECTOR3 _up);
	void SetLook(D3DXVECTOR3 _look);
};
